* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
} 

body {
    line-height: 1;
    overflow: hidden;
    background-color: #232b2b;
}

.space {
    height: 30rem;
}

.custom-list {
    list-style-type: none; 
    padding: 0;
    display: flex;
    flex-direction: column;
    gap: 0.6rem;
  }
  
  .custom-list li {
    position: relative;
    padding-left: 20px; 
    margin-bottom: 8px; 
    color: #fff;
    font-size: 2rem;
  }
  
  .custom-list li::before {
    content: ""; 
    position: absolute;
    left: 0;
    top: 50%; /* Move to the middle */
    transform: translateY(-50%); /* Adjust to be fully centered */
    width: 10px; /* Square size */
    height: 10px;
    background-color: #ff9d00; /* Customize square color */
    border: 1px solid #fff;
  }

/* //////////VERTICAL-NAV */

/* The side navigation menu */
.sidenav {
    height: 100%; /* 100% Full-height */
    width: 0; /* 0 width - change this with JavaScript */
    position: fixed; /* Stay in place */
    z-index: 999999; /* Stay on top */
    top: 0; /* Stay at the top */
    right: 0;
    background-color: #232b2b; /* Black*/
    overflow-x: hidden; /* Disable horizontal scroll */
    padding-top: 60px; /* Place content 60px from the top */
    transition: 0.5s; 
    border-left: 3px solid #ff9d00;
  }
  
  /* The navigation menu links */
  .sidenav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #fff;
    display: block;
    transition: 0.3s;
  }
  
  /* When you mouse over the navigation links, change their color */
  .sidenav a:hover {
    color: #fff;
  }
  
  /* Position and style the close button (top right corner) */
  .sidenav .closebtn {
    position: absolute;
    top: 0.6rem;
    right: 2rem;
    font-size: 36px;
    margin-left: 50px;
  }

  .sub-link {
    margin-left: 1rem;
  }
  
  /* Style page content - use this if you want to push the page content to the right when you open the side navigation */
  #main {
    transition: margin-left .5s;
    padding: 20px;
  }
  
  /* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
  @media screen and (max-height: 450px) {
    .sidenav {padding-top: 15px;}
    .sidenav a {font-size: 18px;}
  }

  .open-nav {
      z-index: 999;
      font-size: 5rem;
      color: #333;
      display: none;
      padding-right: 0.6;
      margin-left: auto;
      align-self: flex-end;
      justify-self: flex-end;
      /* margin-bottom: 1rem; */
  }

  .closebtn,
  .open-nav {
    width: 4rem;
  }

/*------- Navbar styling */
.navbar {
    position: fixed;
    top: 0;
    width: 100%;
    background-color: #232b2b;
    color: #fff;
    z-index: 1000;
    box-shadow: 0 2px 5px #ffc729;
    height: 4.6rem;
    border-top: 5px solid #ffc729;
  }
  
  .navbar-container {
    display: flex;
    padding: 0 20px;
    width: 100%;
    height: 100%;
}


.nav-logo {
    width: 10rem;
}

/* Menu styling */
.nav-menu {
    margin-top: auto;
    list-style: none;
    margin-left: auto;
    display: flex;
    gap: 2.4rem;
    padding: 0;
  }
  
  .nav-menu li {
    display: inline-block;
    justify-self: center;
    align-self: center;
    margin: 0 auto;
  }

/* .nav-link::after {
    transition: box-shadow 0.3s ease-in-out;
} */

  
.nav-link {
    text-decoration: none;
    color: #fff;
    font-size: 2.6rem;
    transition: color 0.3s ease;
    position: relative;
    padding: 0.6rem 1.2rem;
    cursor: pointer;
}
 
.special-nav {
    display: inline-block;
    background: linear-gradient(135deg, #ffc729, #ff9d00); /* Gold gradient */
    color: #fff !important; 
    padding: 0.6rem 2.4rem;
    text-align: center;
    box-shadow: 0px 4px 10px rgba(255, 159, 10, 0.6); /* Glow effect */
    clip-path: polygon(0% 0%, 100% 0%, 80% 100%, 20% 100%);
    border: 2px solid transparent;
    transition: all 0.6s ease-in-out;
}

.special-nav:hover {
    background: linear-gradient(135deg, #ff9d00, #ffc729);
    box-shadow: 0px 6px 15px rgba(255, 159, 10, 0.9);
}

  
  /* Responsive menu for small screens */
  @media screen and (max-width: 768px) {
    .nav-menu {
      display: none; /* Hide menu initially */
      flex-direction: column;
      position: absolute;
      top: 60px;
      right: 0;
      background-color: #333;
      width: 100%;
      padding: 10px 0;
    }
  
    .nav-menu.show {
      display: flex; /* Show menu when toggled */
    }
  
    .navbar-container {
      justify-content: space-between;
    }
  }

    /* The container <div> - needed to position the dropdown content */
    .dropdown {
        position: relative;
        display: inline-block;
      }
      
      /* Dropdown Content (Hidden by Default) */
      .dropdown-content {
        display: none;
        position: absolute;
        background-color: #232b2b;
        /* min-width: 20rem; */
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        z-index: 1;
        border: 3px solid #ffc729;
        border-top: 0px;
      }
      
      /* Links inside the dropdown */
      .dropdown-content a {
        padding: 1.2rem 2.4rem;
        text-decoration: none;
        font-size: 2.4rem;
        color: #FFF;
        display: block;
      }
      
      /* Change color of dropdown links on hover */
      .dropdown-content a:hover {background-color: #fff;
    color: #232b2b;}
      
      /* Show the dropdown menu on hover */
      .dropdown:hover .dropdown-content {display: block;}
      
      /* Change the background color of the dropdown button when the dropdown content is shown */
      .dropdown:hover .nav-link {background-color: #232b2b;}
    
    .nav-down-arrow {
        width: 1.6rem;
        margin-left: 0.6rem;
    }

/*------------ HERO */

.hero {
    padding: 0.6rem 0.6rem 0rem;
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.774), rgba(0, 0, 0, 0.002)), 
    url('/imgs/heroBanner.jpg'); 
    background-position-y: 70%;
    background-size: cover;
    height: 70vh;
    min-height: 60rem;
    position: relative;
}

.hero-box {
    margin: 0 auto;
    max-width: 120rem;
    display: flex;
    height: 100%;
    align-items: center;
}

.hero-container {
    display: flex;
    flex-direction: column;
    gap: 1.2rem;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.hero-sub-header {
    font-size: 2.4rem;
    color: #ff9d00;
    line-height: 0.1;
    margin-left: 0.6rem;
    font-weight: bold;
    text-align: center;
}

.hero-header {
    font-size: 6rem;
    color: #fff;
    width: 50rem;
    text-align: center;
}

.hero-caption {
    font-size: 2.4rem;
    color: #fff;
    width: 40rem;
    text-align: center;
}

.hero-btn-box {
    display: flex;
    gap: 2.4rem;
}

.hero-button {
    background-color: #fff;
    font-size: 2.4rem;
    color: #333;
    padding: 0.6rem 1.2rem;
    border-radius: 2px;
    text-decoration: none;
}

.hero-button-two {
    background-color: #ff9d00;
    font-size: 2.4rem;
    color: #fff;
    padding: 0.6rem 1.2rem;
    border-radius: 2px;
}

.heroAbsolute {
    background-image: url('/imgs/tornBanner.png'); 
    background-size: contain;
    height: 50rem;
    width: 100%;
    position: absolute;
    bottom: -15rem;
    left: 0;
    z-index: -1;
}

/*------------ HEROBOXES */

.heroBoxes {
    padding: 0 0.6rem;
}

.heroBoxes-box {
    margin: 0 auto;
    max-width: 90rem;
}

.heroBoxes-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    margin-top: -12.4rem;
    position: relative;
    width: 100%;
}

/* Hero Box Item */
.heroBoxes-item {
    background-color: #333;
    color: #fff;
    padding: 2.4rem 4.8rem;
    gap: 1.2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    cursor: pointer;
    z-index: 2; /* Ensure it's above the info-box */
}

.heroBoxes-item:not(:last-child) {
    border-right: 1px solid rgba(200, 200, 200, 0.3); 
}

.heroBoxes-item::after {
    content: "";
    position: absolute;
    bottom: -2rem; 
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    height: 0;
    border-left: 2rem solid transparent;
    border-right: 2rem solid transparent;
    border-top: 2rem solid #333; 
}

.heroBoxes-item:hover {
    background-color: #444; /* Change background on hover */
}

/* Change the triangle color on hover */
.heroBoxes-item:hover::after {
    border-top-color: #444; 
}

.heroBoxes-item-active {
    background-color: #ff9d00 !important;
}

.heroBoxes-item-active::after {
    content: "";
    position: absolute;
    bottom: -2rem; 
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    height: 0;
    border-left: 2rem solid transparent;
    border-right: 2rem solid transparent;
    border-top: 2rem solid #ff9d00; 
}

.heroBoxes-item-active:hover::after {
    border-top-color: #ff9d00;
}

.heroBoxes-icon {
    width: 4rem;
}

.heroBoxes-header {
    font-size: 2.4rem;
}

.info-box {
    display: none; /* Hide all info boxes by default */
    position: absolute;
    transform: translateX(-50%);
    top: 100%; 
    left: 50%;
    background: linear-gradient(to bottom, #232b2b, #333);
    color: #fff;
    transition: all 0.3s ease-in-out;
    width: 100%;
    z-index: 1; 
}

.info-box-active {
    display: flex;
    border-bottom: 3px solid #ff9d00;
    border-right: 3px solid #ff9d00;
    border-left: 3px solid #ff9d00;
    
}

.heroBoxes-img {
    width: 23rem;
}

.heroBoxes-textBox {
    position: relative;
    justify-content: center;
    display: flex;
    flex-direction: column;
    gap: 1.2rem;
    padding: 2.4rem;
}

.heroBoxes-caption {
    font-size: 2.4rem;
    color: #fff;
}

.heroBoxes-text {
    font-size: 1.8rem;
    color: #fff;
}

.info-box-triangle-link {
    position: absolute;
    bottom: -1.25rem; /* Below the info box */
    left: 50%;
    transform: translateX(-50%);
    width: 16rem; /* Adjust based on design */
    height: 2.5rem;
    background-color: #ff9d00;
    border: 2px solid #ff9d00;
    clip-path: polygon(0% 0%, 100% 0%, 80% 100%, 20% 100%);
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    color: white;
    font-weight: bold;
    transition: background-color 0.3s ease-in-out;
    font-size: 1.8rem;
}

/* Hover effect */
.info-box-triangle-link:hover {
    background-color: #ffcc00; /* Change color on hover */
}

/*------------ CARDS */

.cards {
    padding: 2.4rem 0.6rem;
}

.cards-box {
    margin: 0 auto;
    max-width: 120rem;
}

.cards-container {
    display: flex;
    gap: 3.6rem;
    align-items: center;
    justify-content: center;
}

.cards-item {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.cards-img {
    max-width: 36rem;
}

.cards-icon {
    width: 6rem;
    margin-top: -3rem;
}

.cards-textBox {
    display: flex;
    flex-direction: column;
    gap: 0.6rem;
    justify-content: center;
    align-items: center;
    /* background-color: #ff9d00; */
    padding: 0.6rem 1.2rem;
    width: 32rem;
    margin-top: -4rem;
    background-image: url("/imgs/tornBanner.png");
    background-size: cover;
}

.cards-header {
    font-size: 2.2rem;
    text-align: center;
    color: #333;
}

.cards-text {
    font-size: 1.8rem;
    color: #fff;
    text-align: center;
}

/*------------ TORN */

.torn {
    padding: 0.6rem 0.6rem 0rem;
    background-image: url('/imgs/tornBanner.png'); 
    background-size: contain;
    height: 70rem;
    /* background-repeat: no-repeat; */
}

.torn-box {
    max-width: 140rem;
    margin: 0 auto;
    height: 100%;
}

.torn-container {
    display: grid;
    grid-template-columns: 2fr 3fr;
    gap: 2.4rem;
    height: 100%;
    align-content: center;
    justify-items: center;
}

.torn-textBox {
    display: flex;
    flex-direction: column;
    gap: 2.4rem;
}

.torn-header {
    font-size: 3.6rem;
    color: #333;
}

.torn-text {
    font-size: 2.4rem;
    color: #fff;
}

.torn-link {
    color: #333;
    font-size: 2.4rem;
    text-align: center;
    margin-left: auto;
    padding: 0.6rem 3.6rem;
    border: 2px solid #333;
    text-decoration: none;
}

.torn-quadBox {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 2.4rem;
    align-self: center;
}

.torn-quadBoxItem {
    display: flex;
    gap: 1.2rem;
    justify-content: center;
    background-color: #232b2b;
    padding: 1.2rem;
}

.torn-icon {
    width: 5rem;
    align-self: center;
}

.torn-quadBoxTextBox {
    display: flex;
    flex-direction: column;
    gap: 1.2rem;
}

.torn-quadBoxHeader {
    font-size: 2.4rem;
    color: #fff;
}

.torn-quadText {
    font-size: 1.8rem;
    color: #fff;
}

/* -------PARA  */

.para {
    padding: 4.8rem 0.6rem;
}

.para-box {
    margin: 0 auto;
    max-width: 80rem;
}

.para-container {
    display: flex;
    flex-direction: column;
    gap: 1.2rem;
}

.para-header {
    font-size: 3.6rem;
    text-align: center;
    color: #fff;
}

.para-text {
    text-align: center;
    font-size: 2rem;
    color: #fff;
}

/* -------CTA  */

.cta {
    padding: 4.8rem 0.3rem 2.4rem;
    background-color: #232b2b;
}

.cta .cta-box {
    max-width: 120rem;
    margin: 0 auto;
    letter-spacing: 0.5px;
    padding: 1.2rem 0.6rem;
}

.cta-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 3rem;
}

.cta-form {
    align-self: center;
}

.cta-text {
    align-self: center;
    display: flex;
    flex-direction: column;
    gap: 2.4rem;
    justify-items: center;
    align-items: center;
    color: #fff;
}

.cta-title {
    font-size: 3.6rem;
    font-weight: 200;
    color: #fff;
    text-align: center;
}

.cta-text-box {
    display: flex;
    flex-direction: column;
    gap: 1.2rem;
    font-size: 2.4rem;
    text-align: center;
    padding: 1.2rem 0.3rem;
}

.email-text,
.number-text {
    color: #fff;
    text-decoration: none;
    font-size: 2rem;
}

.email-text {
    font-size: 1.6rem;
}

.cta-socials {
    align-self: center;
    justify-self: center;
    display: flex;
    gap: 6.2rem;
    padding: 3rem;
}

.contact-form {
    display: flex;
    flex-direction: column;
    gap: 1.2rem;
}

.input-box {
    border: none;
    border-bottom: 3px solid #ff9d00;
    resize: none;
    padding: 1.2rem;
    background-color: #232b2b;
    color: #fff;
}

.input-box::placeholder {
    font-family: 'Quicksand', sans-serif;
    color: #fff;
}

.message-input {
    height: 12rem;
    color: #fff;
}

.message-input::placeholder {
    font-family: 'Quicksand', sans-serif;
    color: #fff;
}

.submit-btn {
    width: auto;
    align-self: flex-end;
    padding: 0.6rem 1.2rem;
    border: none;
    background-color: #ff9d00;
    color: #fff;
    border-radius: 2px;
    font-size: 2.4rem;
    cursor: pointer;
    /* border: 1px solid #0d3b66; */
}

/* -------GALLERY  */

/* Gallery Section */
.gallery {
    padding: 2.4rem 0.6rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Grid Layout */
.gallery-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
    max-width: 120rem;
}

/* Large Square Image */
.large-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Small Image Grid */
.small-img-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 10px;
}

.small-img-grid img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}



  /* ---------FOOTER */

.footer {
    padding: 4.8rem 0.6rem;
    background-color: #ff9d00;
    color: #fff;
    position: relative;
    display: grid;
    grid-template-columns: 1fr;
}

.footerAbsolute {
    background-image: url('/imgs/tornBanner.png'); 
    background-size: contain;
    height: 50rem;
    width: 100%;
    position: absolute;
    top: -15rem;
    left: 0;
    z-index: -1;
}

.footer-box {
    max-width: 150rem;
    margin: 0 auto;
}

.footer-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 3rem;
}

.footer-item {
    display: flex;
    flex-direction: column;
    gap: 1.2rem;
    align-items: center;
}

.footer-logo-copy {
    align-items: center;
    text-align: center;
}

.footer-logo {
    width: 15rem;
    
}

.copyright {
    font-size: 1.8rem;
    line-height: 1.4;
    color: #fff;
}

.footer-socials-box {
    display: flex;
    gap: 2.4rem;
}

.footer-social {
    width: 4.8rem;
    transition: all 0.3s;
    cursor: pointer;
}

.footer-social:hover {
    transform: scale(1.05);
}

.footer-header {
    font-size: 2.8rem;
    padding-bottom: 1.8rem;
    color: #fff;
}

.footer-details {
    font-size: 1.8rem;
}

.footer-email {
    font-size: 1.6rem !important;
}

.footer-link {
    font-size: 2.2rem;
    text-decoration: none;
    color: #fff;
    position: relative;
}

.created-by {
    justify-self: center;
    margin-top: 5rem;
    font-size: 1.8rem;
    color:#fff;
    text-align: center;
}

.pauledward {
    text-decoration: none;
    color: #fff;
}

.footer-placeholder {
    font-size: 4.8rem;
}

.page {
    padding: 9.6rem 0.6rem 2.4rem;
}

.page-box {
    max-width: 100rem;
    margin: 0 auto;
}

.page-container {
    display: flex;
    flex-direction: column;
    gap: 2.4rem;    
}

.page-title
 {
    font-size: 4.8rem;
    color: #fff;
    border-bottom: 3px solid #fff;
    margin-right: auto;
    text-align: center;
    border-radius: 15px;
}

.page-header {
    color: #ff9d00;
    font-size: 3.6rem;
    text-align: center;
    font-weight: 100;
}

.page-text {
    font-size: 2.4rem;
    color: #fff;
    text-align: center;
}

.mini-cta {
    padding: 0rem 0.6rem !important;
}